cwlVersion: v1.2
class: Workflow

inputs:
  arcPath: Directory 
  assayName: string
  startingNodeNum: int
  outName: string

steps:
  isaSampleToRawDataSeq:
    run: ../../workflows/isaSampleToRawDataSeq/workflow.cwl
    in:
      arcPath: arcPath
      assayName: assayName
      startingNodeNum: startingNodeNum
      outName: outName
    out:
      - sampleseqCsv
      - sampleseqXlsx

outputs:
  sampleseqCsv:
    type: File
    outputSource: isaSampleToRawDataSeq/sampleseqCsv
  sampleseqXlsx:
    type: File
    outputSource: isaSampleToRawDataSeq/sampleseqXlsx

$namespaces:
  s: https://schema.org/
  edam: http://edamontology.org/

$schemas:
  - https://schema.org/version/latest/schemaorg-current-https.rdf
  - http://edamontology.org/EDAM_1.18.owl

s:author:
  - class: s:Person
    s:name: Dominik Brilhaus
    s:identifier: https://orcid.org/0000-0001-9021-3197