cwlVersion: v1.2
class: Workflow

requirements:
  SubworkflowFeatureRequirement: {}
  ScatterFeatureRequirement: {}
  MultipleInputFeatureRequirement: {}

inputs:
  fastq: File[]
  finaloutdir: string

steps:
  fastqc:
    run: ../../workflows/fastqc/workflow.cwl
    in:
      fastq: fastq
      finaloutdir: finaloutdir
    out: [fastqc_outdir]

outputs:
  fastqc_outdir:
    type: Directory
    outputSource: fastqc/fastqc_outdir

$namespaces:
  s: https://schema.org/
  edam: http://edamontology.org/

$schemas:
  - https://schema.org/version/latest/schemaorg-current-https.rdf
  - http://edamontology.org/EDAM_1.18.owl

s:author:
  - class: s:Person
    s:name: Dominik Brilhaus
    s:identifier: https://orcid.org/0000-0001-9021-3197