#!/usr/bin/env cwl-runner

cwlVersion: v1.2
class: Workflow

inputs:
  in_kallisto_df: File
  exp_factor: string

steps:
  run_shiny:
    run: ../../workflows/shiny/workflow.cwl
    in:
      in_kallisto_df: in_kallisto_df
      exp_factor: exp_factor
    out: []

outputs: []

$namespaces:
  s: https://schema.org/
  edam: http://edamontology.org/

$schemas:
  - https://schema.org/version/latest/schemaorg-current-https.rdf
  - http://edamontology.org/EDAM_1.18.owl

s:author:
  - class: s:Person
    s:name: Dominik Brilhaus
    s:identifier: https://orcid.org/0000-0001-9021-3197
